<?php
/**
 * Plugin Name:       The Accessibility Toolbar by Online ADA
 * Plugin URI:        https://adatoolbar.com/upgradeplugin/
 * Description:       The Accessibility Toolbar by Online ADA
 * Version:           1.2.8
 * Author:            Online ADA
 * Author URI:        https://adatoolbar.com/
 * License:           GPLv2 or later
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.html
 */

if (!defined('ABSPATH')) {
    exit;
}

define('ADATOOLBARDIR', __DIR__);

define('ADATOOLBARVERSION', '1.2.8');

define('ADATOOLBARMODE', 'prod');

define('ADATOOLBARPLUGINPATH', plugin_dir_path( __FILE__ ));

define('ADATOOLBARFILE', __FILE__);

define('ADATOOLBARNAMESPACE', __NAMESPACE__);

require ADATOOLBARDIR . '/vendor/autoload.php';

$ADATOOLBAR =  \ADAToolbar\Plugin::getInstance();

register_activation_hook(__FILE__, 'll_at_plugin__activated');

function ll_at_plugin__activated() {
    $menu_name = 'Accessibility Menu';
    $menu_exists  = get_term_by( 'name', $menu_name, 'nav_menu' );
    if( !$menu_exists){
        $menu_id = wp_create_nav_menu($menu_name);
        wp_update_nav_menu_item($menu_id, 0, array(
            'menu-item-title' =>  __('Home'),
            'menu-item-classes' => 'home',
            'menu-item-url' => home_url( '/' ), 
            'menu-item-status' => 'publish'));
            update_option('ll_at_accessibility_menu', $menu_id);
    }else{
        update_option('ll_at_accessibility_menu', $menu_exists->term_id);
    }
    if(!get_option('ll_at_enable')){
        update_option('ll_at_enable', true);
    }
    if(!get_option('ll_at_hide_on_scroll')){
        update_option('ll_at_hide_on_scroll', true);
    }
    if(!get_option('ll_at_hide_on_touch')){
        update_option('ll_at_hide_on_touch', true);
    }
    if(!get_option('ll_at_check_image_alt')){
        update_option('ll_at_check_image_alt', true);
    }
    if(!get_option('ll_at_check_phone_email_links')){
        update_option('ll_at_check_phone_email_links', true);
    }
}