<?php  
namespace ADAToolbar\Admin;

use ADAToolbar\Traits\Singleton;
use ADAToolbar\Admin\Page;
use ADAToolbar\Admin\Api;
use ADAToolbar\Admin\Options;

class Admin {


    use Singleton;

    public $page; 
    public $api;
    public $options; 
    public $isPro;

    public function init () {
        $this->isPro = get_option('ll_at_license_status');
        $this->page = Page::getInstance();
        $this->api = Api::getInstance();
        $this->options = Options::getInstance();
        add_action('admin_menu', [$this, 'AdminMenu'],20);
        add_action( 'admin_menu', [ $this, 'ChangeAdminMenuName' ], 200 );
        //add_action('admin_notices', [$this, 'AdminNotice']);
    }
    public function AdminNotice() {
        ?>
        <div class="notice notice-warning is-dismissible">
            <p><strong>Attention! You are using the FREE version of The Accessibility Toolbar Plugin</strong></p>
            <p>Upgrade to the full version by <a href="https://adatoolbar.com/upgradeplugin/" target="_blank">clicking here</a></p>
        </div>
        <?php
    }
	public function ChangeAdminMenuName() {
        global $submenu;
        
		if ( isset( $submenu['accessibility-toolbar'] ) ) {
			$submenu['accessibility-toolbar'][0][0] = __( 'Settings', 'accessibility-toolbar' );
		}
	}
    public function AdminMenu() {
        add_menu_page(
            'The Accessibility Toolbar',
            'The Accessibility Toolbar', 
            'manage_options', 
            'accessibility-toolbar', 
            [$this->page, 'mainPage'],
            'dashicons-universal-access'
        );
        add_submenu_page( 
            'accessibility-toolbar', 
            'The Accessibilty Toolbar Menu',
            'Pro Features', 
            'manage_options', 
            'accessibility-toolbar-pro',
            [$this->page, 'proPage']
        );
        add_submenu_page( 
            'accessibility-toolbar', 
            'The Accessibilty Toolbar Menu',
            'Element Controls', 
            'manage_options', 
            'accessibility-toolbar-element-controls',
            [$this->page, 'elementControlsPage']
        );
        if($this->isPro){
            add_submenu_page( 
                'accessibility-toolbar', 
                'The Accessibilty Toolbar Menu',
                'Account Settings', 
                'manage_options', 
                'https://adatoolbar.com/account-settings/'
            );
        }
        add_submenu_page( 
            'accessibility-toolbar', 
            'The Accessibilty Toolbar Menu',
            'Get Certified', 
            'manage_options', 
            'https://onlineada.com/certification/'
        );
        add_submenu_page( 
            'accessibility-toolbar', 
            'The Accessibilty Toolbar Menu',
            'Community', 
            'manage_options', 
            'accessibility-toolbar-community',
            [$this->page, 'communityPage']
        );
    }
}