<?php
namespace ADAToolbar\Core;

use ADAToolbar\Traits\Singleton;
use ADAToolbar\Plugin AS TEST;

class License {
    
    use Singleton;

    public $info;

    public function init() {

        $this->info = [
            "name"=>"accessibility-toolbar",
            "name_pretty"=>"Accessibility Toolbar",
            "version"=> ADATOOLBARVERSION,
            "author" => "OnlineADA",
            "file"=>ADATOOLBARFILE,
            "path"=>ADATOOLBARPLUGINPATH,
            "namespace"=>ADATOOLBARNAMESPACE,
            "url" => home_url(),
            "text_domain" => "accessibility-toolbar",    
            "item_name" => "Accessibility Toolbar",
            "license_type" => "Limelight",
            "license_url" => "https://adatoolbar.com",
            "license" => trim(get_option("ll_at_license")) 
        ];
    }
    public function activate($data = [], $skip_return = false) {
        if(isset($data['license'])) $this->info['license'] = $data['license'];
        $response = wp_remote_post("https://adatoolbar.com/wp-json/limelight-checkout/v1/activate_license", [
            'method' => "POST",
            'headers' => [
                'Content-Type' => 'application/x-www-form-urlencoded'
            ],
            'sslverify' => false,
            'body' => $this->info,
            'data_format' => 'body'
        ]);

        if(is_wp_error($response)){

            $error_message = $response->get_error_message();
            if(!$skip_return){
                wp_send_json([
                    "status" => "",
                    "message" => $error_message
                ]);
            }
            
        }else{
            $code = wp_remote_retrieve_response_code( $response );

            $parsedResponse = json_decode(wp_remote_retrieve_body( $response ), true);
            
            update_option("ll_at_license", $this->info['license']);
            if(!$skip_return) {
                wp_send_json($parsedResponse);
            }
        }
    }
    public function check($data = [],$skip_return = false) {
        
        if(isset($data['license'])) {
            if($this->info['license'] !== $data['license']) {
                $this->activate($data,$skip_return);
            }
            $this->info['license'] = $data['license'];
        } 
        $response = wp_remote_post("https://adatoolbar.com/wp-json/limelight-checkout/v1/check_license", [
            'method' => "POST",
            'headers' => [
                'Content-Type' => 'application/x-www-form-urlencoded'
            ],
            'sslverify' => false,
            'body' => $this->info,
            'data_format' => 'body'
        ]);
        if(is_wp_error($response)){

            $error_message = $response->get_error_message();
            
            update_option("ll_at_license_status", false);
            if(!$skip_return){
                wp_send_json([
                    "status" => "",
                    "message" => $error_message
                ]);
            }

        }else{
            $code = wp_remote_retrieve_response_code( $response );
            $parsedResponse = json_decode(wp_remote_retrieve_body( $response ), true);

            if($parsedResponse['status'] == "OK"){
                update_option("ll_at_license_status", true);
            }else{
                update_option("ll_at_license_status", false);
            }
            if(!$skip_return) {
                wp_send_json($parsedResponse);
            }
        }
    }
}